<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:flowable="http://flowable.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.flowable.org/processdef">
  <process id="shop" name="shop" isExecutable="true">
    <startEvent id="sid-8E372D44-FE99-4818-B416-7FB3D7CA1383" name="商户提交审核"></startEvent>
    <exclusiveGateway id="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E" name="是否由平台审核"></exclusiveGateway>
    <sequenceFlow id="sid-2B99BAC0-B361-43D7-AA6C-EAB56D16B080" sourceRef="sid-8E372D44-FE99-4818-B416-7FB3D7CA1383" targetRef="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E"></sequenceFlow>
    <userTask id="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E" name="平台审核" flowable:assignee="${auditor}">
      <extensionElements>
        <flowable:taskListener event="complete" class="org.springblade.flow.shop.listener.ShopPlatformCompleteListener"></flowable:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63" name="商场审核" flowable:assignee="${mallTask}">
      <extensionElements>
        <flowable:taskListener event="complete" class="org.springblade.flow.shop.listener.ShopMallCompleteListener"></flowable:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773" name="修改待提交" flowable:assignee="$INITIATOR">
      <extensionElements>
        <flowable:taskListener event="complete" class="org.springblade.flow.shop.listener.ShopUserCompleteListener"></flowable:taskListener>
        <modeler:activiti-idm-initiator xmlns:modeler="http://flowable.org/modeler"><![CDATA[true]]></modeler:activiti-idm-initiator>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-B6C00913-2561-48D5-A9FB-CE0F175D5EF2" name="重新提交" sourceRef="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773" targetRef="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E"></sequenceFlow>
    <userTask id="sid-DC3319D8-8341-4D84-84B5-9FEDDB589EA9" name="用户签约" flowable:assignee="$INITIATOR">
      <extensionElements>
        <modeler:activiti-idm-initiator xmlns:modeler="http://flowable.org/modeler"><![CDATA[true]]></modeler:activiti-idm-initiator>
      </extensionElements>
    </userTask>
    <serviceTask id="sid-A3C23932-5A4B-4429-970D-C1285AC33519" name="微信实名申请" flowable:class="org.springblade.flow.shop.task.WechatApplyTask"></serviceTask>
    <userTask id="sid-FA31163F-C9D1-4867-BDFF-C498B114A57C" name="微信实名确认" flowable:assignee="$INITIATOR">
      <extensionElements>
        <modeler:activiti-idm-initiator xmlns:modeler="http://flowable.org/modeler"><![CDATA[true]]></modeler:activiti-idm-initiator>
      </extensionElements>
    </userTask>
    <endEvent id="sid-025F8850-A5D1-4F33-AEA5-D1EDDC5E2928" name="完成"></endEvent>
    <userTask id="sid-69C08CE7-5055-4006-92A7-F8B96D394F8B" name="进件审核" flowable:assignee="${yeepay}">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-66BD7003-670A-485E-89D7-96E0A8128A0E" sourceRef="sid-FA31163F-C9D1-4867-BDFF-C498B114A57C" targetRef="sid-025F8850-A5D1-4F33-AEA5-D1EDDC5E2928"></sequenceFlow>
    <sequenceFlow id="sid-24C5F08E-64D6-4317-A5B4-B011560E7858" sourceRef="sid-A3C23932-5A4B-4429-970D-C1285AC33519" targetRef="sid-FA31163F-C9D1-4867-BDFF-C498B114A57C"></sequenceFlow>
    <sequenceFlow id="sid-20A9D72B-4C74-45DD-A383-163EF498A4F0" sourceRef="sid-DC3319D8-8341-4D84-84B5-9FEDDB589EA9" targetRef="sid-A3C23932-5A4B-4429-970D-C1285AC33519"></sequenceFlow>
    <sequenceFlow id="sid-AD68D081-2EAF-4F9B-B43F-4437B64184DC" name="审核通过" sourceRef="sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63" targetRef="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${pass}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-CD05402D-E128-49C2-8C89-C019C82EBC0E" name="审核驳回" sourceRef="sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63" targetRef="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!pass}]]></conditionExpression>
    </sequenceFlow>
    <exclusiveGateway id="sid-07CF0DFA-13D5-4494-946C-0C1456206DCD"></exclusiveGateway>
    <sequenceFlow id="sid-2EB67410-D094-44E3-AD0C-78C50C9EE03A" sourceRef="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E" targetRef="sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!toPlatform}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-C6F1E9E9-B970-4690-BECC-FE39A72A34E1" sourceRef="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E" targetRef="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${toPlatform}]]></conditionExpression>
    </sequenceFlow>
    <serviceTask id="sid-83D4FE80-5E0A-49C9-9DA7-5397049FF6BE" name="提交入驻申请" flowable:class="org.springblade.flow.shop.task.InvitationTask"></serviceTask>
    <sequenceFlow id="sid-B19EA25D-1E07-4FBD-A0D5-B2CD0D89B25F" name="审核驳回" sourceRef="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E" targetRef="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!pass}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-CFC436CE-76A6-4B8C-B204-E649C642104B" name="审核通过" sourceRef="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E" targetRef="sid-83D4FE80-5E0A-49C9-9DA7-5397049FF6BE">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${pass}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-331B51FE-0859-4F5B-82A7-0B0E57E37AC1" name="审核通过" sourceRef="sid-07CF0DFA-13D5-4494-946C-0C1456206DCD" targetRef="sid-DC3319D8-8341-4D84-84B5-9FEDDB589EA9">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${approve}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-479B0EB9-124A-4C76-A5DA-DE82A27830C1" name="商家信息有误" sourceRef="sid-07CF0DFA-13D5-4494-946C-0C1456206DCD" targetRef="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!approve}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-94F4B125-4763-4A9E-A364-4441F506C34A" sourceRef="sid-69C08CE7-5055-4006-92A7-F8B96D394F8B" targetRef="sid-07CF0DFA-13D5-4494-946C-0C1456206DCD"></sequenceFlow>
    <sequenceFlow id="sid-6C2899AD-2A27-41E3-9F27-938CCD72B3EA" sourceRef="sid-83D4FE80-5E0A-49C9-9DA7-5397049FF6BE" targetRef="sid-69C08CE7-5055-4006-92A7-F8B96D394F8B"></sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_shop">
    <bpmndi:BPMNPlane bpmnElement="shop" id="BPMNPlane_shop">
      <bpmndi:BPMNShape bpmnElement="sid-8E372D44-FE99-4818-B416-7FB3D7CA1383" id="BPMNShape_sid-8E372D44-FE99-4818-B416-7FB3D7CA1383">
        <omgdc:Bounds height="30.0" width="30.0" x="61.98346912026307" y="220.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-DF21CEF6-BEB1-4136-B73B-04B90014520E" id="BPMNShape_sid-DF21CEF6-BEB1-4136-B73B-04B90014520E">
        <omgdc:Bounds height="40.0" width="40.0" x="297.5206517772627" y="215.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-BBC62A41-8EA3-4428-8345-B61594ECB80E" id="BPMNShape_sid-BBC62A41-8EA3-4428-8345-B61594ECB80E">
        <omgdc:Bounds height="80.0" width="100.0" x="465.0" y="195.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63" id="BPMNShape_sid-26F8CF3B-CFD7-4D03-81B6-3A6A526E4C63">
        <omgdc:Bounds height="80.0" width="100.0" x="267.52065177726263" y="383.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773" id="BPMNShape_sid-CF1FAAE9-5FF5-4A60-BB9B-775649E4E773">
        <omgdc:Bounds height="80.0" width="100.0" x="465.0" y="383.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-DC3319D8-8341-4D84-84B5-9FEDDB589EA9" id="BPMNShape_sid-DC3319D8-8341-4D84-84B5-9FEDDB589EA9">
        <omgdc:Bounds height="80.0" width="100.0" x="855.0" y="383.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-A3C23932-5A4B-4429-970D-C1285AC33519" id="BPMNShape_sid-A3C23932-5A4B-4429-970D-C1285AC33519">
        <omgdc:Bounds height="80.0" width="100.0" x="855.0" y="195.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-FA31163F-C9D1-4867-BDFF-C498B114A57C" id="BPMNShape_sid-FA31163F-C9D1-4867-BDFF-C498B114A57C">
        <omgdc:Bounds height="80.0" width="100.0" x="1020.0" y="195.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-025F8850-A5D1-4F33-AEA5-D1EDDC5E2928" id="BPMNShape_sid-025F8850-A5D1-4F33-AEA5-D1EDDC5E2928">
        <omgdc:Bounds height="28.0" width="28.0" x="1056.0" y="416.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-69C08CE7-5055-4006-92A7-F8B96D394F8B" id="BPMNShape_sid-69C08CE7-5055-4006-92A7-F8B96D394F8B">
        <omgdc:Bounds height="80.0" width="100.0" x="660.0" y="330.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-07CF0DFA-13D5-4494-946C-0C1456206DCD" id="BPMNShape_sid-07CF0DFA-13D5-4494-946C-0C1456206DCD">
        <omgdc:Bounds height="40.0" width="40.0" x="690.0" y="480.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-83D4FE80-5E0A-49C9-9DA7-5397049FF6BE" id="BPMNShape_sid-83D4FE80-5E0A-49C9-9DA7-5397049FF6BE">
        <omgdc:Bounds height="80.0" width="100.0" x="660.0" y="180.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-2EB67410-D094-44E3-AD0C-78C50C9EE03A" id="BPMNEdge_sid-2EB67410-D094-44E3-AD0C-78C50C9EE03A">
        <omgdi:waypoint x="317.96984963822524" y="254.49557723142706"></omgdi:waypoint>
        <omgdi:waypoint x="317.627185110596" y="383.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-2B99BAC0-B361-43D7-AA6C-EAB56D16B080" id="BPMNEdge_sid-2B99BAC0-B361-43D7-AA6C-EAB56D16B080">
        <omgdi:waypoint x="91.93346880430559" y="235.0"></omgdi:waypoint>
        <omgdi:waypoint x="297.5206517772627" y="235.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-B6C00913-2561-48D5-A9FB-CE0F175D5EF2" id="BPMNEdge_sid-B6C00913-2561-48D5-A9FB-CE0F175D5EF2">
        <omgdi:waypoint x="472.9825808517718" y="383.0"></omgdi:waypoint>
        <omgdi:waypoint x="327.739781442084" y="244.72970411331303"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-24C5F08E-64D6-4317-A5B4-B011560E7858" id="BPMNEdge_sid-24C5F08E-64D6-4317-A5B4-B011560E7858">
        <omgdi:waypoint x="954.9499999999836" y="235.0"></omgdi:waypoint>
        <omgdi:waypoint x="1020.0" y="235.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-6C2899AD-2A27-41E3-9F27-938CCD72B3EA" id="BPMNEdge_sid-6C2899AD-2A27-41E3-9F27-938CCD72B3EA">
        <omgdi:waypoint x="710.0" y="259.95000000000005"></omgdi:waypoint>
        <omgdi:waypoint x="710.0" y="330.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-66BD7003-670A-485E-89D7-96E0A8128A0E" id="BPMNEdge_sid-66BD7003-670A-485E-89D7-96E0A8128A0E">
        <omgdi:waypoint x="1070.0" y="274.95000000000005"></omgdi:waypoint>
        <omgdi:waypoint x="1070.0" y="416.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-AD68D081-2EAF-4F9B-B43F-4437B64184DC" id="BPMNEdge_sid-AD68D081-2EAF-4F9B-B43F-4437B64184DC">
        <omgdi:waypoint x="359.4850132745943" y="383.0"></omgdi:waypoint>
        <omgdi:waypoint x="472.98311739941755" y="274.95000000000005"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-C6F1E9E9-B970-4690-BECC-FE39A72A34E1" id="BPMNEdge_sid-C6F1E9E9-B970-4690-BECC-FE39A72A34E1">
        <omgdi:waypoint x="337.01403120685205" y="235.45164886240752"></omgdi:waypoint>
        <omgdi:waypoint x="465.0" y="235.12678994130778"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-CFC436CE-76A6-4B8C-B204-E649C642104B" id="BPMNEdge_sid-CFC436CE-76A6-4B8C-B204-E649C642104B">
        <omgdi:waypoint x="564.95" y="235.0"></omgdi:waypoint>
        <omgdi:waypoint x="660.0" y="235.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-B19EA25D-1E07-4FBD-A0D5-B2CD0D89B25F" id="BPMNEdge_sid-B19EA25D-1E07-4FBD-A0D5-B2CD0D89B25F">
        <omgdi:waypoint x="515.0" y="274.95000000000005"></omgdi:waypoint>
        <omgdi:waypoint x="515.0" y="383.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-20A9D72B-4C74-45DD-A383-163EF498A4F0" id="BPMNEdge_sid-20A9D72B-4C74-45DD-A383-163EF498A4F0">
        <omgdi:waypoint x="905.0" y="383.0"></omgdi:waypoint>
        <omgdi:waypoint x="905.0" y="274.95000000000005"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-331B51FE-0859-4F5B-82A7-0B0E57E37AC1" id="BPMNEdge_sid-331B51FE-0859-4F5B-82A7-0B0E57E37AC1">
        <omgdi:waypoint x="729.4415401804155" y="500.5"></omgdi:waypoint>
        <omgdi:waypoint x="822.4000244140625" y="500.5"></omgdi:waypoint>
        <omgdi:waypoint x="873.3692341149319" y="462.95000000000005"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-94F4B125-4763-4A9E-A364-4441F506C34A" id="BPMNEdge_sid-94F4B125-4763-4A9E-A364-4441F506C34A">
        <omgdi:waypoint x="710.0" y="409.95000000000005"></omgdi:waypoint>
        <omgdi:waypoint x="710.0" y="480.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-CD05402D-E128-49C2-8C89-C019C82EBC0E" id="BPMNEdge_sid-CD05402D-E128-49C2-8C89-C019C82EBC0E">
        <omgdi:waypoint x="367.4706517771375" y="423.0"></omgdi:waypoint>
        <omgdi:waypoint x="464.9999999998561" y="423.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-479B0EB9-124A-4C76-A5DA-DE82A27830C1" id="BPMNEdge_sid-479B0EB9-124A-4C76-A5DA-DE82A27830C1">
        <omgdi:waypoint x="690.9946122630136" y="499.0"></omgdi:waypoint>
        <omgdi:waypoint x="612.4000244140625" y="499.0"></omgdi:waypoint>
        <omgdi:waypoint x="564.9499999999999" y="461.9753495734434"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>